###########################################################################
#
# win32 makefile -- lib
# A component of the Greenstone digital library software
# from the New Zealand Digital Library Project at the
# University of Waikato, New Zealand.
#
# Copyright (C) 1999  The New Zealand Digital Library Project
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
###########################################################################

GSDLHOME = ..
USE_STLPORT = 0
LOCAL_LIBRARY = 0
STLPATH = "$(GSDLHOME)\packages\windows\stlport\stlport"

AR = lib
CC = cl
CPPFLAGS = -GX

DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN \
       -DSHORT_SUFFIX
INCLUDES = -I"$(GSDLHOME)" -I"$(GSDLHOME)\packages\mg\lib"
!IF $(USE_STLPORT)
DEFS = $(DEFS) -DGSDL_NAMESPACE_BROKEN -DGSDL_USE_IOS_H -D__STL_NO_NEW_IOSTREAMS
INCLUDES = $(INCLUDES) -I$(STLPATH)
!ENDIF
!IF $(LOCAL_LIBRARY)
DEFS = $(DEFS) -DGSDL_LOCAL_LIBRARY
!ENDIF

COMPILE = $(CC) -c $(CPPFLAGS) $(DEFS) $(INCLUDES)

.SUFFIXES:
.SUFFIXES: .c .obj
.c.obj:
	$(COMPILE) $<

.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $< 

HEADERS = cfgread.h fileutil.h gsdlunicode.h text_t.h display.h gsdlconf.h \
	  gsdltimes.h gsdltools.h cnfgable.h cnfgator.h

SOURCES = cfgread.cpp fileutil.cpp gsdlunicode.cpp text_t.cpp display.cpp \
	  gsdltimes.cpp gsdltools.cpp cnfgable.cpp cnfgator.cpp

OBJECTS = cfgread.obj fileutil.obj gsdlunicode.obj text_t.obj display.obj \
	  gsdltimes.obj gsdltools.obj cnfgable.obj cnfgator.obj

all: gsdllib.lib

gsdllib.lib : $(OBJECTS)
	if EXIST gsdllib.lib del gsdllib.lib
	$(AR) /out:gsdllib.lib $(OBJECTS)

# we want gsdltools to always be compiled in case the status of
# GSDL_LOCAL_LIBRARY has changed
gsdltools.obj: FORCE

clean:
	del *.obj 
	del gsdllib.lib

install:

FORCE: